module "mail_backup" {

  source = "../modules/utils/scw_rclone"

  namespace = module.mail.namespace
  app_name  = module.mail.app_name

  scaleway_organization_id = var.scaleway_organization_id
  scaleway_project_id      = var.scaleway_organization_id
  access_key               = scaleway_iam_api_key.backup_app_api.access_key
  secret_key               = scaleway_iam_api_key.backup_app_api.secret_key
  bucket_name              = scaleway_object_bucket.backup.name

  retention_days = local.local_backup_retention_days
  cron_schedule  = local.mail_files_backup_cron_schedule

  source_folder = module.mail.path
  target_folder = local.mail_backup_path
}

module "gitea_backup" {
  source = "../modules/utils/scw_rclone"

  namespace = module.gitea.namespace
  app_name  = module.gitea.app_name

  scaleway_organization_id = var.scaleway_organization_id
  scaleway_project_id      = var.scaleway_organization_id
  access_key               = scaleway_iam_api_key.backup_app_api.access_key
  secret_key               = scaleway_iam_api_key.backup_app_api.secret_key
  bucket_name              = scaleway_object_bucket.backup.name

  retention_days = local.local_backup_retention_days
  cron_schedule  = local.gitea_files_backup_cron_schedule

  source_folder = module.gitea.path
  target_folder = local.gitea_backup_path
}

module "sftpgo_backup" {

  source = "../modules/utils/scw_rclone"

  namespace = module.sftpgo.namespace
  app_name  = module.sftpgo.app_name

  scaleway_organization_id = var.scaleway_organization_id
  scaleway_project_id      = var.scaleway_organization_id
  access_key               = scaleway_iam_api_key.backup_app_api.access_key
  secret_key               = scaleway_iam_api_key.backup_app_api.secret_key
  bucket_name              = scaleway_object_bucket.backup.name

  retention_days = local.local_backup_retention_days
  cron_schedule  = local.sftpgo_files_backup_cron_schedule

  source_folder = module.sftpgo.path
  target_folder = local.sftpgo_backup_path
}
